@search-z-index-base: @zindex-navbar-fixed;

body.canvas-search-dialog__open {
    .canvas-top-bar,
    .canvas-nav {
        z-index: @search-z-index-base;
    }

    .canvas-nav__logo-wrap {
        @media (min-width: @screen-md-min) {
            z-index: @search-z-index-base + 1;
            .logo-black { display: none !important; }
            .logo-white { display: block !important; }
        }
    }

    .canvas-search-dialog {
        display: block !important;
        z-index: @search-z-index-base;
        min-height: 525px;
    }

    .canvas-dialog__page-fade {
        display: block;
        z-index: @search-z-index-base - 1;
    }
}

.canvas-search-dialog {
    display: none;
    background: @nav-dark-bg;
    color: @white;
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    z-index: -1;
    padding: @grid-gutter-width;
    overflow-y: auto;

    @media (max-width: @screen-sm-max) {
        position: fixed;
        left: auto;
        top: 0;
        right: 0;
        bottom: 0;
        padding: 0;
        width: 400px;
        .container {
            width: 100%;
            background: #232323;
            height: 100%;
            padding: 30px!important;
            padding-top: 60px!important;
            position: relative;
            z-index: 1031;
        }
    }

    @media (max-width: 500px) {
        width: 100%!important;
        left: 0;
    }

    .container {
        padding: 0;
        
        @media (min-width: @screen-md-min) {
            padding-left: 150px;
            padding-right: 150px;
            position: relative;
        }
    }

    &__close-btn {
        position: absolute;
        right: @grid-gutter-width;
        top: @grid-gutter-width;
        color: @white;
        background: none;
        border: none;
        @media screen and (max-width: @screen-sm-max){
            top: 63px;
            z-index: 1050;
        }
    }

    &__form {
        width: 100%;
        display: flex;
        position: relative;
        margin-top: 93px;
        margin-bottom: @grid-gutter-width*3;
        @media screen and (max-width: @screen-sm-max){
            margin-top: 123px;
        }
    }

    &__form-input {
        background: transparent;
        color: @white;
        border: solid @gray;
        border-width: 0 0 2px 0;
        width: 100%;
        padding-top: @grid-gutter-width/2;
        padding-bottom: @grid-gutter-width/2;
        padding-left: 0;
        padding-right: @grid-gutter-width*2;
        line-height: 1;
        outline: 0;
        font-size: 44px;
        font-family: @font-primary;
        line-height: 106.3%;

        &::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
            color: #DCDCDC;
            opacity: 1; /* Firefox */
          }
          
        &:-ms-input-placeholder { /* Internet Explorer 10-11 */
            color: #DCDCDC;
        }
        
        &::-ms-input-placeholder { /* Microsoft Edge */
            color: #DCDCDC;
        }

        @media (max-width: @screen-sm-max) {
            font-size: 22px;
            line-height: 106.3%;
        }

        &:focus, &:hover {
            border-color: @white;
        }
    }

    &__form-input-icon {
        position: absolute;
        left: -15px;
        width: 40px;
        top: -5px;
        transform: translateY(-50%);
        line-height: 1;
    }

    &__form-submit-btn {
        position: absolute;
        right: 0;
        top: 50%;
        transform: translateY(-50%);
        transition: all 0.2s;
        background-color: transparent;
        &:hover,
        &:focus {
            background-color: transparent;
        }
    }

    &__popular-terms {
        margin-top: @grid-gutter-width*2;
        margin-bottom: @grid-gutter-width*2;

        h3 {
            font-size: @font-size-large;
            margin: 0 0 @grid-gutter-width/2 0;
        }

        &__list {
            display: inline;
            font-size: 0;

            > * {
                &::after {
                    content: ', ';
                    font-size: @font-size-large;
                }

                &:last-child::after {
                    display: none;
                }
            }
        }

        button {
            background: none;
            border: none;
            margin-bottom: @grid-gutter-width/3;
            color: #fff;
            display: inline;
            padding: 0;
            font-size: @font-size-large;

            &:hover, &:focus {
                text-decoration: underline;
            }
        }
    }
}
